export raw data from email campaigns
Closed, ResolvedPublic


to analyze the relation between donated sum and proposed donation sum in the email we need the raw data of all email campaigns.

the respective eMail campaigns are

  • ma171107org
  • ma171109org
  • ma171124org
  • ma171127org
  • ma171214org
  • ma171217org
  • ma171227org
  • ma171228org
  • ma171127wmde
  • ma171217wmde
  • ma171228wmde

please provide us with following data (as done in T183226)

email name (per https://phabricator.wikimedia.org/T184277#3885703)

tmletzko created this task.Jan 5 2018, 2:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 5 2018, 2:38 PM

@gabriel-wmde can you already tell when this will be ready? I need to know as early as possible to coordinate with Florian, our external analysis support. Is until Wednesday doable?

Should be doable, I'm on it.

tmletzko updated the task description. (Show Details)Jan 8 2018, 11:54 AM

thanks. please be aware that I just updated the description

@tmletzko Some questions:

  1. Email can only be exported for un-anonymized donations (newer than 1 day). I could export the donation ID instead so you can somehow "de-anonymize" in a secure fashion in VEWA.
  2. What is the cutoff point (date/time) for the campaigns? 2018-01-07?
  3. Where should I put the files? Or will someone collect them via sneakernet?


  1. donation ID does work but is quite complicated. Please add donation ID and Name, Surname (as this is data we don´t delete)
  2. export whatever we have. You can add time of donation though so we can filter date when we need to.
  3. if export happens today, I will pick it up
gabriel-wmde removed gabriel-wmde as the assignee of this task.Jan 9 2018, 1:29 PM
gabriel-wmde moved this task from Doing to Done on the WMDE-Fundraising-Funban-2 board.

We discussed in the team if the ad-hoc "funky" export script should be part of our code base until T175040 is implemented and decided to include it.

PR: https://github.com/wmde/fundraising-backend/pull/350

@gabriel-wmde I checked the data you gave me. Is it possible that you exported aggregated data instead of raw data. I have attached the file that we currently have.

Is this the one?

@gabriel-wmde @kai.nissen can we have a new export of the initialy wanted data today, please.

Pablo-WMDE updated the task description. (Show Details)Feb 12 2018, 11:34 AM

FTR I'd prefer we used only non-PII data for statistical analysis.

I can get them or Florian can walk by and import the data directly into his R-analysis software

Got the dump. Please pick up at any time.

Picked up in person by @tmletzko.

Pablo-WMDE moved this task from Todo to Done on the WMDE-Fundraising-Sprint-16 board.
Pablo-WMDE removed Pablo-WMDE as the assignee of this task.
kai.nissen closed this task as Resolved.Feb 19 2018, 1:50 PM
kai.nissen claimed this task.